% Gustav Eje Henter 2012-11-02

function [pzs,logS] = prob(k,x1,x2,taus)

if (nargin < 4),
    taus = [];
end

if (nargin < 3) || isempty(x2),
    [lpzs,logS] = k.logprob(x1,[],taus);
else
    [lpzs,logS] = k.logprob(x1,x2,taus);
end

if (nargout > 1),
    pzs = exp(lpzs);
else
    pzs = exp(lpzs + repmat(logS,size(lpzs,1),1));
end