% Gustav Eje Henter 2012-11-02

function xs = rand(k,nSamples,taus)

if (nargin < 2) || isempty(nSamples),
    nSamples = 1;
end

if (nargin < 3) || isempty(taus),
    taus = k.Taus;
elseif (size(taus,1) == 1)
    taus = repmat(taus,k.DataSize,1);
end

if (size(taus,2) == 1),
    xs = randn(k.DataSize,nSamples).*repmat(1./sqrt(taus),1,nSamples);
else
    xs = randn(k.DataSize,nSamples)./sqrt(taus(:,1:nSamples));
end