% Gustav Eje Henter 2013-04-08

function [X,S] = conditionalRand(h,x0,nSamples)

if (numel(h) > 1),
    error('Method works only for a single object');
end

if (nargin < 3),
    nSamples = 1;
end

%n0 = size(x0,2);

S = rand(h.StateGen,nSamples);
nS = length(S);

%D = h.DataSize;
X = x0;
tstart = 1;
while tstart <= nS,
    s = S(tstart);
    
    for tend = tstart+1:nS,
        if (S(tend) ~= s),
            tend = tend-1;
            break;
        end
    end
    if isempty(tend),
        tend = tstart;
    end
    
    %X(:,1:n0+tend)...
    %    = h.OutputDistr(s).conditionalRand(X(:,1:n0+tstart-1),tend-tstart+1);
    X = h.OutputDistr(s).conditionalRand(X,tend-tstart+1);
    tstart = tend+1;
end