% Gustav Eje Henter 2012-11-29

function aState = adaptStart(mm)

nObj = numel(mm);

aState = struct('sumGamma',0,'sumSqrDev',0,'sumDMat',0,'sumBVect',0);
aState = repmat(aState,nObj,1);

for i = 1:nObj,
    o = mm(i).Order;
    [aState(i).sumGamma,aState(i).sumSqrDev] = deal(0);
    aState(i).sumDMat = zeros(o,o);
    aState(i).sumBVect = zeros(o,1);
end