% Gustav Eje Henter 2013-02-01

function mm = init(mm,x0s,ws)

if mm.Order <= 0,
    mm.Stationary = true; %% IID is always stationary
end

mm.DSize = size(x0s,1);

pts = mm.series2points(x0s,mm.Stationary);
mm.Points = pts;

if (nargin < 3) || isempty(ws),
    ws = ones(1,size(pts,2));
else
    ws = max(ws,0);
end

ws = ws/sum(ws);
mm.Weights = ws;

mm.Kern.Isotropic = mm.Stationary;

mm.Kern = mm.Kern.init(pts,ws);