% Gustav Eje Henter 2012-11-04

function [lp,rhos,logS] = logprob(mm,xs,bwparms)

if (nargin < 3),
    bwparms = [];
end

if (nargin < 2) || isempty(xs),
    xs = []; % Use self-log-prob with cross-validation
end

[p,rhos,logS] = prob(mm,xs,bwparms);

lp = log(p);

if (nargout < 3),
    lp = lp + logS;
end