% Gustav Eje Henter 2013-01-31

function [lp,lrhos] = singleMarginalLogprob(pD,xs,givenDims)

crossval = false;
if isempty(xs),
    crossval = true;
end

N = pD.NumPoints;

lpzs = pD.Kern.marginalLogprob(pD.Points,xs,givenDims);

lpzs = pD.addLogWeights(crossval,lpzs);

lp = logsumexp(lpzs,1);
lrhos = lpzs - repmat(lp,N,1); % Normalize rhos by dividing by the sum