% Gustav Eje Henter 2013-01-31

function [ps,logS] = propscalesplit(lps,dim)

if nargin < 2,
    dim = find(size(lps) > 1,1,'first');
end

if isempty(lps),
    [ps,logS] = deal([]);
    return;
end

N = size(lps,dim);

repNum = ones(size(size(lps)));
repNum(dim) = N;

logS = max(lps,[],dim);
lps = lps - repmat(logS,repNum); % Largest term is now zero

ps = exp(lps); % p is proportional to the true probabilities