% Gustav Eje Henter 2012-01-19

function sys_play(signal,fs,temppath)

if (nargin < 2) || isempty(fs),
    fs = 44100;
end
if (nargin < 3) || isempty(temppath),
    temppath = '~/local/lista/data/listening_test/';
end
if ~strcmp(temppath(end),filesep),
    temppath = [temppath filesep];
end

wavfile = [temppath 'deleteme.wav'];
wavwrite(signal,fs,16,wavfile);

%syscmd = sprintf('mplayer -really-quiet %s', wavfile); % Uses mplayer for playback
syscmd = sprintf('play -q %s', wavfile); % Uses sox play for playback
system(syscmd);

delete(wavfile);