% Gustav Eje Henter 2013-07-22

%dbstop if error;

datastr = 'laser_3k_phaseinit';
warning('off','all')

default_opts;
ntrain = 3000;
ntest = ntrain;

load([datastr '_data'],'xs');
xs = xs(:,1:ntrain); % Crop out training data

maxima = estimate_discrete_maxima(xs);  % obtain maxima
maxima = maxima(xs(maxima) > 50); % Extract non-noise peaks, CHANGE 50

gammas = phaseinit(datastr,ntrain,maxstates,maxima);

kdehmm_experiment_2(datastr,ntrain,ntest,gridres,condq,maxorderm,maxorderh,...
    maxstates,maxiter,nreinits,inititer,miniter,minstep,gammas,hmmgammainit);