% Gustav Eje Henter 2012-11-15

function aState = adaptStart(pD)

nObj = numel(pD);

aState = struct('sumX',0,'sumXX',0,...
    'sumSumm',0,'sumXSumm',0,'sumSummSumm',0,'sumGamma',0);
aState = repmat(aState,nObj,1);

for i = 1:nObj,
    D = size(pD(i).Mean,1);
    o = pD(i).Order;
    [aState(i).sumX,aState(i).sumXX] = deal(zeros(D,1));
    [aState(i).sumSumm,aState(i).sumXSumm] = deal(zeros(D,o));
    aState(i).sumSummSumm = zeros(o,o,D);
    aState(i).sumGamma = 0;
end