% Gustav Eje Henter 2013-01-31

function [lp,lrhos] = singleLogprob(pD,xs)

crossval = false;
if (nargin < 2) || isempty(xs),
    crossval = true;
end

N = pD.NumPoints;

lpzs = pD.Kern.logprob(pD.Points,xs);

lpzs = pD.addLogWeights(crossval,lpzs);

lp = logsumexp(lpzs,1);
lrhos = lpzs - repmat(lp,N,1); % Normalize rhos by dividing by the sum