% Gustav Eje Henter 2012-11-01

function pm = probmat(kd,xrange,yrange,xres,yres)

if (nargin == 3),
    [xres,yres] = deal(yrange);
    yrange = xrange;
end

xpts = (xrange(2) - xrange(1))*(0:xres-1)/(xres-1) + xrange(1);
ypts = (yrange(2) - yrange(1))*(0:yres-1)/(yres-1) + yrange(1);

[xmesh,ymesh] = meshgrid(xpts,ypts);

gridx2s = [reshape(xmesh,1,[]);reshape(ymesh,1,[])];

x2probs = kd.prob(gridx2s);

pm = reshape(x2probs,xres,yres);

if (nargout < 1),
    imagesc(xrange,yrange,probmat);
    axis xy;
end