% Gustav Eje Henter 2013-01-31

function lse = logsumexp(terms,dim)

if nargin < 2,
    dim = find(size(terms) > 1,1,'first');
end

if isempty(terms),
    lse = [];
    return;
end

N = size(terms,dim);

repNum = ones(size(size(terms)));
repNum(dim) = N;

logS = max(terms,[],dim);
terms = terms - repmat(logS,repNum); % Largest term is now zero

sumExp = sum(exp(terms),dim);

lse = log(sumExp) + logS;