% Gustav Eje Henter 2013-07-01

%dbstop if error;

datastr = 'ecg_3k_phaseinit';

default_opts;
ntrain = 3000;
ntest = ntrain;

load([datastr '_data'],'xs');
xs = xs(:,1:ntrain); % Crop out training data

dbeats = estimate_discrete_maxima(xs);
dbeats = dbeats(xs(dbeats) > 100); % Extract non-noise peaks

gammas = phaseinit(datastr,ntrain,maxstates,dbeats);

kdehmm_experiment(datastr,ntrain,ntest,gridres,condq,maxorderm,maxorderh,...
    maxstates,maxiter,nreinits,inititer,miniter,minstep,gammas,hmmgammainit);